
TCA Reference - Task # 57479

Status: Closed Priority: Should have
Author: Tymoteusz Motylewski Category:
Created: 2014-04-01 Assigned To: Francois Suter
Updated: 2014-08-01 Due date:
Subject: Document TCA DisplayCond
Description

Since 6.1 you can use OR and AND conditions in the DisplayCond property of TCA
see http://forge.typo3.org/issues/18211

Great german description with examples is here:
http://jweiland.net/typo3/extension-programmierung/displaycond.html

Related issues:
related to Core - Feature # 18211: Array of display conditions for TCA fields... Resolved 2008-02-14

History
#1 - 2014-05-26 15:17 - Francois Suter
- Project changed from Documentation to TCA Reference

#2 - 2014-05-26 15:19 - Francois Suter
- Status changed from New to Needs Feedback
- Assigned To set to Francois Suter

This is actually documented here:

http://docs.typo3.org/typo3cms/TCAReference/Reference/Columns/Index.html?highlight=displaycond#displaycond

Do you feel that more information is needed?

#3 - 2014-05-28 11:01 - Tymoteusz Motylewski

Hi, 
thanks for pointing me to the link, I haven't seen it :)
It would be nice if documentation also mentions more complex scenarios like combination of AND and OR conditions.

eg. sth like:

'displayCond' => array(
        'AND' => array(
            'EXT:test123:LOADED:TRUE',
            'OR' => array(
                'FIELD:amount:<:10',
                'FIELD:excludes:>:5',
            ),
        ),
    ),
#4 - 2014-08-01 13:52 - Francois Suter
- Status changed from Needs Feedback to Accepted
- Target version set to 6.2.0

#5 - 2014-08-01 14:20 - Francois Suter
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Done in commit: https://github.com/TYPO3-Documentation/TYPO3CMS-Reference-TCA/commit/61353fb69e003d7a9817ff3c267edf337909d4fd

#6 - 2014-08-01 14:22 - Francois Suter
- Status changed from Resolved to Closed
